KDE 4.5 PyKDE API Reference

- KDE's Python API

# RoutingManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Enumerations
State | { Downloading, Retrieved }
## Signals
| routeRetrieved (Marble.GeoDataDocument route)
## Methods
| __init__ (self, Marble.MarbleModel marbleModel, QObject parent=0)
| readSettings (self)
| reverseRoute (self)
| saveRoute (self, QString filename)
| setGuidanceModeEnabled (self, bool enabled)
| setWorkOffline (self, bool offline)
| updateRoute (self)
| writeSettings (self)

## Signal Documentation

routeRetrieved | ( | Marble.GeoDataDocument | route
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("routeRetrieved(Marble::GeoDataDocument*)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleModel | marbleModel,
|  | QObject | parent=0
| ) |  |  |

readSettings | ( |  | self ) |

reverseRoute | ( |  | self ) |

saveRoute | ( | self, |
|  | QString | filename
| ) |  |  |

setGuidanceModeEnabled | ( | self, |
|  | bool | enabled
| ) |  |  |

setWorkOffline | ( | self, |
|  | bool | offline
| ) |  |  |

updateRoute | ( |  | self ) |

writeSettings | ( |  | self ) |

## Enumeration Documentation

State

Enumerator:

  Downloading |
  Retrieved |